Method: curators.dataSegments.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This method lists the data segments owned by a curator.
The HTTP request uses a GET method with a URL structure that includes a parent curator.
The request requires a parent path parameter to specify the curator whose data segments are being listed.
Optional pageSize and pageToken query parameters can be used for pagination of results.
The response body contains a list of dataSegments and a nextPageToken for fetching additional pages.
List the data segments owned by a curator.
HTTP request
GET https://authorizedbuyersmarketplace.googleapis.com/v1beta/{parent=curators/*}/dataSegments
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
parent
string
Required. Name of the parent curator that can access the data segment. v1alpha format: buyers/{accountId} v1beta format: curators/{accountId}
Query parameters
Parameters
pageSize
integer
Optional. Requested page size. The server may return fewer results than requested. Max allowed page size is 500. If unspecified, the server will default to 500.
pageToken
string
Optional. The page token as returned. ListDataSegmentsResponse.nextPageToken
Request body
The request body must be empty.
Response body
Response message for listing data segments.
If successful, the response body contains data with the following structure:
JSON representation
{
"dataSegments" : [
{
object (DataSegment )
}
] ,
"nextPageToken" : string
}
Fields
dataSegments[]
object (DataSegment )
The list of data segments.
nextPageToken
string
Continuation token for fetching the next page of results. Pass this value in the ListDataSegmentsRequest.pageToken field in the subsequent call to the dataSegments.list method to retrieve the next page of results.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-06-12 UTC.
[null,null,["Last updated 2025-06-12 UTC."],[],[]]